Options Struct Reference

Data structure to hold options for OpenType font output. More...

## Data Fields

bool | truetype
bool | blankOutline
bool | bitmap
bool | gpos
bool | gsub
int | cff
const char * | hex
const char * | pos
const char * | out
NameStrings | nameStrings

## Detailed Description

Data structure to hold options for OpenType font output.

This data structure holds the status of options that can be specified as command line arguments for creating the output OpenType font file.

Definition at line 2453 of file hex2otf.c.

## Field Documentation

## bitmap

bool Options::bitmap

Definition at line 2455 of file hex2otf.c.

## blankOutline

bool Options::blankOutline

Definition at line 2455 of file hex2otf.c.

## cff

int Options::cff

Definition at line 2456 of file hex2otf.c.

## gpos

bool Options::gpos

Definition at line 2455 of file hex2otf.c.

## gsub

bool Options::gsub

Definition at line 2455 of file hex2otf.c.

## hex

const char* Options::hex

Definition at line 2457 of file hex2otf.c.

## nameStrings

NameStrings Options::nameStrings

Definition at line 2458 of file hex2otf.c.

## out

const char * Options::out

Definition at line 2457 of file hex2otf.c.

## pos

const char * Options::pos

Definition at line 2457 of file hex2otf.c.

## truetype

bool Options::truetype

Definition at line 2455 of file hex2otf.c.

The documentation for this struct was generated from the following file:

- src/hex2otf.c